;;;C:CLDESCR Sets the description for the current layer (command-line input) ;;; ;;;(SETLAYERDESCR ) ;;; Sets the description for the specified layer (autolisp function input) ;;; Will create the specified layer if it does not exist. ;;; ;;; Author: Henry C. Francis ;;; 425 N. Ashe St. ;;; Southern Pines, NC 28387 ;;; http://paracadd.com ;;; All rights reserved. ;;; ;;; COPYRIGHT: 5/19/2011 ;;; EDITED: 5/19/2011 ;;; ;;;**************************************************************************** (DEFUN c:cldescr (/) (IF (< (ATOF (GETVAR "ACADVER")) 17.0) (PROGN (PRINC "\n\tAutoCAD 2006 and earlier does not support layer descriptions. ") (PRINC "\n\tSet Layer Description Operation aborted. ") (PRINC) ) ;_ end of PROGN (PROGN (IF ustr NIL (LOAD "ustr" "\nFile USTR.LSP not loaded! ") ) ;_ end of IF (SETQ this_descr (ustr 0 (STRCAT "Description for layer " (GETVAR "clayer")) this_descr T)) (IF this_descr (PROGN (VL-LOAD-COM) (VLA-PUT-DESCRIPTION (VLAX-ENAME->VLA-OBJECT (TBLOBJNAME "LAYER" (GETVAR "clayer"))) this_descr) ) ;_ end of PROGN ) ;_ end of IF ) ;_ end of PROGN ) ;_ end of IF (PRINC) ) ;_ end of Defun ;;;**************************************************************************** (DEFUN setlayerdescr (lname ldescr / ) (IF (< (ATOF (GETVAR "ACADVER")) 17.0) (PROGN (PRINC "\n\tAutoCAD 2006 and earlier does not support layer descriptions. ") (PRINC "\n\tSet Layer Description Operation aborted. ") (PRINC) ) ;_ end of PROGN (IF (AND lname ldescr) (IF (TBLSEARCH "LAYER" lname) (PROGN (VL-LOAD-COM) (VLA-PUT-DESCRIPTION (VLAX-ENAME->VLA-OBJECT (TBLOBJNAME "LAYER" lname)) ldescr) ) ;_ end of PROGN (PROGN (COMMAND "-Layer " "m" lname "") (VL-LOAD-COM) (VLA-PUT-DESCRIPTION (VLAX-ENAME->VLA-OBJECT (TBLOBJNAME "LAYER" lname)) ldescr) ) ) ) ) ;_ end of IF (PRINC) ) ;_ end of Defun ;|«Visual LISP© Format Options» (120 2 15 2 T "end of " 100 9 2 0 nil nil nil nil T) ;*** DO NOT add text below the comment! ***|;